/// <reference path="../pb_data/types.d.ts" />
migrate((db) => {
  const dao = new Dao(db)
  const collection = dao.findCollectionByNameOrId("0f66m7amfl25mue")

  // remove
  collection.schema.removeField("kxreowp9")

  return dao.saveCollection(collection)
}, (db) => {
  const dao = new Dao(db)
  const collection = dao.findCollectionByNameOrId("0f66m7amfl25mue")

  // add
  collection.schema.addField(new SchemaField({
    "system": false,
    "id": "kxreowp9",
    "name": "completado",
    "type": "bool",
    "required": false,
    "presentable": false,
    "unique": false,
    "options": {}
  }))

  return dao.saveCollection(collection)
})
